OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_RevolvedFaceSolid Class Reference

`#include <StepShape_RevolvedFaceSolid.hxx>`

Inheritance diagram for StepShape_RevolvedFaceSolid:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_RevolvedFaceSolid ()
| Returns a RevolvedFaceSolid .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_FaceSurface)&aSweptArea)
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_FaceSurface)&aSweptArea, const Handle(StepGeom_Axis1Placement)&aAxis, const Standard_Real aAngle)
Standard_EXPORT void | SetAxis (const Handle(StepGeom_Axis1Placement)&aAxis)
Standard_EXPORT Handle_StepGeom_Axis1Placement | Axis () const
Standard_EXPORT void | SetAngle (const Standard_Real aAngle)
Standard_EXPORT Standard_Real | Angle () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Axis1Placement | axis
Standard_Real | angle

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_RevolvedFaceSolid::StepShape_RevolvedFaceSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StepShape_RevolvedFaceSolid::Angle | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Axis1Placement StepShape_RevolvedFaceSolid::Axis | ( |  | ) | const

Standard_EXPORT const StepShape_RevolvedFaceSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SweptFaceSolid.

Standard_EXPORT void StepShape_RevolvedFaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_FaceSurface)& | aSweptArea,
|  | const Handle(StepGeom_Axis1Placement)& | aAxis,
|  | const Standard_Real | aAngle
| ) |

virtual Standard_EXPORT void StepShape_RevolvedFaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_FaceSurface)& | aSweptArea
| ) | `[virtual]`

| Reimplemented from StepShape_SweptFaceSolid.

Standard_EXPORT void StepShape_RevolvedFaceSolid::SetAngle | ( | const Standard_Real | aAngle | ) |

Standard_EXPORT void StepShape_RevolvedFaceSolid::SetAxis | ( | const Handle(StepGeom_Axis1Placement)& | aAxis | ) |

## Field Documentation

Standard_Real StepShape_RevolvedFaceSolid::angle`[private]`

Handle_StepGeom_Axis1Placement StepShape_RevolvedFaceSolid::axis`[private]`

The documentation for this class was generated from the following file:

- StepShape_RevolvedFaceSolid.hxx